Subject: Re: bug#48173: [PATCH] maint: Do not xz-compress ISO images.

From: Julien Lepiller <[email-masked]>
Date: Mon, 03 May 2021 12:35:42 -0400

Le 3 mai 2021 11:39:03 GMT-04:00, "Ludovic Courtès" <[email-masked]> a écrit :
>Hi Julien,
>
>Julien Lepiller <[email-masked]> skribis:
>
>>> --- a/doc/guix.texi
>>> +++ b/doc/guix.texi
>>> @@ -2099,7 +2099,7 @@ about their support in GNU/Linux.
>>>  
>>>  An ISO-9660 installation image that can be written to a USB stick
>or
>>>  burnt to a DVD can be downloaded from
>>>
>-@indicateurl{@value{BASE-URL}/guix-system-install-@value{VERSION}.x86_64-linux.iso.xz},
>>>
>+@indicateurl{@value{BASE-URL}/guix-system-install-@value{VERSION}.x86_64-linux.iso},
>>>  where you can replace @code{x86_64-linux} with one of:
>>
>> Sorry, this actually breaks string freeze. Now for something like
>this,
>> we could grant an exception? It's not like it's too hard to fix, even
>> manually and even if you don't know the language :)
>
>In what sense does it break the string freeze?
>
>I understand translations would appear as below 100% on Weblate, but I
>checked guix.{fr,es,de}.info and they all read well after this change.
>
>Am I missing something?

po4a is not that intelligent. The result will be either the old translated string, or the new English string.

But it's fine. We already have a similar change on version-1.3.0, so go ahead and push this, I'll take care of weblate :)

>Thanks for commenting!
>Ludo’.